#include <CGAL/Exact_predicates_exact_constructions_kernel.h>
#include <CGAL/Polyhedron_3.h>
#include <CGAL/IO/Polyhedron_iostream.h>
#include <CGAL/Nef_polyhedron_3.h>
#include <CGAL/Nef_3/SNC_indexed_items.h>
#include <CGAL/IO/Nef_polyhedron_iostream_3.h>

typedef CGAL::Exact_predicates_exact_constructions_kernel Kernel;
typedef CGAL::Polyhedron_3<Kernel>  Polyhedron;
typedef CGAL::SNC_indexed_items Items;
typedef CGAL::Nef_polyhedron_3<Kernel, Items>  Nef_polyhedron;
//typedef CGAL::Nef_polyhedron_3<Kernel> Nef_polyhedron;


#include <fstream>
#include <iostream>
using std::ifstream;
using std::cout;
using std::cerr;
using std::endl;

int main(int argc, char **argv) {
    
    if(argc < 3)    return 1;
    ifstream in;
    
    Nef_polyhedron N1, N2;
    {
        ifstream in(argv[1]);
        if(!in) return 1;
        in >> N1;
        in.close();
    }
    {
        ifstream in(argv[2]);
        if(!in) return 1;
        in >> N2;
        in.close();
    }
    
    Nef_polyhedron Nout = N1+N2;
    Nout = Nout.regularization();
    
    cout << Nout;
    
    return 0;
}
